> For the complete documentation index, see [llms.txt](https://docs.idle.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.idle.finance/developers/best-yield/methods.md).

# Methods

Developers > Best Yield > Methods

Idle allows you to lend different underlying assets (e.g. *DAI*, *USDC*) through the use of IdleTokens. So for each underlying asset supported there is a corresponding IdleToken (e.g. IdleDAI, IdleUSDC) implemented as an IdleToken instance.

### Core methods

[`mintIdleToken`](/developers/best-yield/methods/mintidletoken.md)**:** lends assets in Idle and receives IdleTokens back.

[`redeemIdleToken`](/developers/best-yield/methods/redeemidletoken-1.md)**:** redeems your assets and interests and burns IdleTokens.

[`redeemInterestBearingTokens`](/developers/best-yield/methods/redeeminterestbearingtokens.md)**:** redeems interest-bearing assets and burns IdleTokens.

[`rebalance`](/developers/best-yield/methods/rebalance.md)**:** reads allocations from IdleRebalancer and changes IdleToken pool allocations if needed.

[`tokenPrice`](/developers/best-yield/methods/tokenprice.md)**:** gets current IdleToken price without fees.

[`getAPRs`](/developers/best-yield/methods/getaprs.md)**:** gets APRs from all implemented protocols.

[`getAvgApr`](/developers/best-yield/methods/getavgapr.md)**:** gets current IdleToken average APR.

[`userAvgPrices`](/developers/best-yield/methods/useravgprices.md): gets avg price per IdleToken paid by a user (used to calculate earnings).

[`getGovTokensAmounts`](/developers/best-yield/methods/getgovtokensamounts.md): gets the number of redeemable governance tokens a user can withdraw.

[`getAllocations`](/developers/best-yield/methods/getallocations.md): gets an array with the last allocations.

[`getGovTokens`](/developers/best-yield/methods/getgovtokens.md): gets an array with the governance token addresses distributed.

[`getAllAvailableTokens`](/developers/best-yield/methods/getallavailabletokens.md): gets an array with all interest-bearing token addresses supported.

[`getProtocolTokenToGov`](/developers/best-yield/methods/getprotocoltokentogov.md): gets the governance token associated with a specific interest bearing token, if any.

[`tokenPriceWithFee`](/developers/best-yield/methods/tokenpricewithfee.md): gets the current IdleToken price for a specific user, counting fees


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.idle.finance/developers/best-yield/methods.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
